Package Gnumed :: Package business :: Module gmPerson |
[frames] | no frames]

# Module gmPerson

source code

GNUmed patient objects.

This is a patient object intended to let a useful client-side API crystallize from actual use in true XP fashion.

Version: $Revision: 1.198 $

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cDTO_person
| cPersonName
| cIdentity
| cPatient Represents a person which is a patient.
| gmCurrentPatient Patient Borg to hold currently active patient.
| cMatchProvider_Provider

Functions
create_name(pk_person, firstnames, lastnames, active=False) | source code
create_identity(gender=None, dob=None, lastnames=None, firstnames=None) | source code
create_dummy_identity() | source code
set_active_patient(patient=None, forced_reload=False) Set active patient. | source code
get_gender_list() Retrieves the list of known genders from the database. | source code
map_gender2salutation(gender=None) Maps GNUmed related i18n-aware gender specifiers to a human-readable salutation. | source code
map_firstnames2gender(firstnames=None) Try getting the gender for the given first name. | source code
get_persons_from_pks(pks=None) | source code
get_person_from_xdt(filename=None, encoding=None, dob_format=None) | source code
get_persons_from_pracsoft_file(filename=None, encoding='ascii') | source code

Variables
| map_gender2mf = `{'m': u'm', 'f': u'f', 'tf': u'f', 'tm': u'm',`...``
| map_gender2symbol = `{'m': u'\u2642', 'f': u'\u2640', 'tf': u'\`...``

Imports: sys, os, time, regex, string, types, pyDT, codecs, threading, logging, gmExceptions, gmDispatcher, gmBorg, gmI18N, gmNull, gmBusinessDBObject, gmTools, gmPG2, gmDateTime, gmMatchProvider, gmLog2, gmHooks, gmDemographicRecord, gmClinicalRecord, gmXdtMappings, gmProviderInbox, cDocumentFolder

Function Details

### set_active_patient(patient=None, forced_reload=False) | source code
Set active patient. If patient is -1 the active patient will be UNset.

Variables Details

  ### map_gender2mf Value:
      {'m': u'm', 'f': u'f', 'tf': u'f', 'tm': u'm', 'h': u'mf'}

  ### map_gender2symbol Value:
      {'m': u'\u2642', 'f': u'\u2640', 'tf': u'\u26A5\u2640', 'tm': u'\u26A5
      \u2642', 'h': u'\u26A5'}